Debian Bug report logs - #628285
ITP: xul-ext-pencil -- GUI prototyping and diagram tool

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Raphael Hertzog <hertzog@debian.org>

Date: Sat, 28 May 2011 13:53:29 UTC

Owned by: Fabrizio Regalli <fabreg@fabreg.it>

Severity: wishlist

Forwarded to https://code.google.com/p/evoluspencil/issues/detail?id=541

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-mentors@lists.debian.org, wnpp@debian.org:
Bug#628285; Package wnpp. (Sat, 28 May 2011 13:53:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-mentors@lists.debian.org, wnpp@debian.org. (Sat, 28 May 2011 13:53:32 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: xul-ext-pencil -- GUI prototyping and diagram tool
Date: Sat, 28 May 2011 15:48:20 +0200
Package: wnpp
Severity: wishlist

* Package name    : xul-ext-pencil
  Version         : 1.2
  Upstream Author : Nguyen Tien Dung <dung.nguyen@evolus.vn>
* URL             : http://pencil.evolus.vn
* License         : GPL2+
  Programming Lang: Javascript / Xulrunner app
  Description     : The Sketching and GUI Prototyping addon for Firefox/Iceweasel

The Pencil Project's unique mission is to build a free and opensource tool for
making diagrams and GUI prototyping that everyone can use.

Top features:

    Built-in stencils for diagraming and prototyping
    Multi-page document with background page
    Inter-page linkings!
    On-screen text editing with rich-text supports
    Exporting to HTML, PNG, Openoffice.org document, Word document and PDF.
    Undo/redo supports
    Installing user-defined stencils and templates
    Standard drawing operations: aligning, z-ordering, scaling, rotating...
    Cross-platforms
    Adding external objects
    Personal Collection
    Clipart Browser
    Object snapping
    Sketchy Stencil
    And much more...

I discovered this software a few weeks ago and I would like to see it packaged
for Debian (but I don't want to do it myself).

It should probably be maintained under the umbrella of the pkg-mozext team:
http://wiki.debian.org/Teams/DebianMozExtTeam

Unfortunately the current version is not compatible with Firefox 4 yet.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Changed Bug title to 'ITP: xul-ext-pencil -- GUI prototyping and diagram tool' from 'RFP: xul-ext-pencil -- GUI prototyping and diagram tool' Request was from Fabrizio Regalli <fabreg@fabreg.it> to control@bugs.debian.org. (Tue, 31 May 2011 14:15:08 GMT) Full text and rfc822 format available.

Owner recorded as Fabrizio Regalli <fabreg@fabreg.it. Request was from Fabrizio Regalli <fabreg@fabreg.it> to control@bugs.debian.org. (Tue, 31 May 2011 14:18:03 GMT) Full text and rfc822 format available.

Owner changed from Fabrizio Regalli <fabreg@fabreg.it to Fabrizio Regalli <fabreg@fabreg.it>. Request was from Fabrizio Regalli <fabreg@fabreg.it> to control@bugs.debian.org. (Tue, 31 May 2011 14:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#628285; Package wnpp. (Tue, 31 May 2011 14:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 31 May 2011 14:30:03 GMT) Full text and rfc822 format available.

Message #16 received at 628285@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 628285@bugs.debian.org
Subject: Re: RFP: xul-ext-pencil -- GUI prototyping and diagram tool
Date: Tue, 31 May 2011 16:26:47 +0200
[Message part 1 (text/plain, inline)]
Hi Raphael,


On Sat, 2011-05-28 at 15:48 +0200, Raphael Hertzog wrote:
> Package: wnpp
> Severity: wishlist
> 
> * Package name    : xul-ext-pencil
>   Version         : 1.2
>   Upstream Author : Nguyen Tien Dung <dung.nguyen@evolus.vn>
> * URL             : http://pencil.evolus.vn
> * License         : GPL2+
>   Programming Lang: Javascript / Xulrunner app
>   Description     : The Sketching and GUI Prototyping addon for Firefox/Iceweasel
> 

I will start working on the package, hoping to do a good job.

Cheers,
Fabrizio.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#628285; Package wnpp. (Tue, 01 Nov 2011 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 01 Nov 2011 20:33:03 GMT) Full text and rfc822 format available.

Message #21 received at 628285@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: 628285@bugs.debian.org
Subject: Re: RFP: xul-ext-pencil -- GUI prototyping and diagram tool
Date: Tue, 01 Nov 2011 21:29:24 +0100
[Message part 1 (text/plain, inline)]
Hello,

an update on pencil activity: 
there are at least two files without copyright and license information.
(IO.js and Base64.js but seems also nsDragAndDrop.js)
Sometime ago I wrote to upstream asking for miss information but at the
moment I get no answered.
If this situation persists I think we can't redistribute it.

Cheers,
Fabrizio.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#628285; Package wnpp. (Wed, 02 Nov 2011 22:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul van Tilburg <paulvt@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Wed, 02 Nov 2011 22:21:06 GMT) Full text and rfc822 format available.

Message #26 received at 628285@bugs.debian.org (full text, mbox):

From: Paul van Tilburg <paulvt@debian.org>
To: 628285@bugs.debian.org
Subject: Re: RFP: xul-ext-pencil -- GUI prototyping and diagram tool
Date: Wed, 2 Nov 2011 23:19:43 +0100
Hey,

Good catch!  I separately had started packaging it (the ITP somehow was
too far down on Google and I overlooked it) and hadn't noticed these
issues.  The packaging was so simple using mozilla-devscripts, not 
much time was wasted.

Concern your last comment, I have found that lots of upstream cannot be
bothered to document all the files they copy from other sources.
There is not a problem with that by definition, as long as it it
compatible with the GPL-2 license of the rest of the source, documented
in debian/copyright.

However, if I look at base64.js and the linked website, I see that the
license is CC-BY 2.0 UK.  This is not compatible with the GPL-2!

For io.js, the license is MPL... I guess that should be fine.

Lastly, nsDragAndDrop.js is part of Firefox it seems, should also
be fine.

Given that the author(s) state on the project web page that they are so
committed to keeping it completely GPL-2, it is weird that they are not
willing to respond to your concerns.  If you think that it would help if
someone else also asks about this, let me know, I will try.

Paul

-- 
Using the Power of Debian GNU/Linux | email: paulvt@debian.org
jabber/gtalk: paul@luon.netl        | GnuPG key ID: 0x50064181




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#628285; Package wnpp. (Thu, 03 Nov 2011 09:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 03 Nov 2011 09:09:14 GMT) Full text and rfc822 format available.

Message #31 received at 628285@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: Paul van Tilburg <paulvt@debian.org>, 628285@bugs.debian.org
Cc: pkg-mozext-maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#628285: RFP: xul-ext-pencil -- GUI prototyping and diagram tool
Date: Thu, 03 Nov 2011 10:05:43 +0100
[Message part 1 (text/plain, inline)]
Hey Paul,

On Wed, 2011-11-02 at 23:19 +0100, Paul van Tilburg wrote:
> Hey,
> 
> Good catch!  I separately had started packaging it (the ITP somehow was
> too far down on Google and I overlooked it) and hadn't noticed these
> issues.  The packaging was so simple using mozilla-devscripts, not 
> much time was wasted.

Not sure if you have already checked the package on git.
:-) http://anonscm.debian.org/gitweb/?p=pkg-mozext/pencil.git;a=summary
Everything is fine except for the copyright issues I've reported before.

> Concern your last comment, I have found that lots of upstream cannot be
> bothered to document all the files they copy from other sources.
> There is not a problem with that by definition, as long as it it
> compatible with the GPL-2 license of the rest of the source, documented
> in debian/copyright.
> 
> However, if I look at base64.js and the linked website, I see that the
> license is CC-BY 2.0 UK.  This is not compatible with the GPL-2!
> For io.js, the license is MPL... I guess that should be fine.
> 
> Lastly, nsDragAndDrop.js is part of Firefox it seems, should also
> be fine.
> 
> Given that the author(s) state on the project web page that they are so
> committed to keeping it completely GPL-2, it is weird that they are not
> willing to respond to your concerns.  If you think that it would help if
> someone else also asks about this, let me know, I will try.

Feel free to do it.
I Cc'ed the pkg-mozext team also, so we can be all up-to-date on future
developments about copyright

Thank you for your interest in pencil!

Cheers,
Fabrizio.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#628285; Package wnpp. (Thu, 22 Mar 2012 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 22 Mar 2012 08:57:05 GMT) Full text and rfc822 format available.

Message #36 received at 628285@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: 628285@bugs.debian.org
Subject: Re: RFP: xul-ext-pencil -- GUI prototyping and diagram tool
Date: Thu, 22 Mar 2012 09:53:35 +0100
[Message part 1 (text/plain, inline)]
Any progress here? I have no good news.
If this situation remains unchanged, I will close this bug soon.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Fabrizio Regalli <fabreg@fabreg.it>:
You have taken responsibility. (Tue, 17 Apr 2012 07:48:04 GMT) Full text and rfc822 format available.

Notification sent to Raphael Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Tue, 17 Apr 2012 07:48:04 GMT) Full text and rfc822 format available.

Message #41 received at 628285-close@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: 628285-close@bugs.debian.org
Subject: Re: ITP: xul-ext-pencil -- GUI prototyping and diagram tool
Date: Tue, 17 Apr 2012 09:43:10 +0200
[Message part 1 (text/plain, inline)]
There's a license problem.
See previous messages.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 16 May 2012 07:41:45 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Mon, 11 Feb 2013 09:51:03 GMT) Full text and rfc822 format available.

Bug reopened Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Mon, 11 Feb 2013 09:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#628285; Package wnpp. (Mon, 11 Feb 2013 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Mon, 11 Feb 2013 09:57:03 GMT) Full text and rfc822 format available.

Message #52 received at 628285@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 628285@bugs.debian.org, 628285-subscribe@bugs.debian.org
Cc: Fabrizio Regalli <fabreg@fabreg.it>
Subject: ITP: xul-ext-pencil -- GUI prototyping and diagram tool
Date: Mon, 11 Feb 2013 10:52:09 +0100
unarchive 628285
reopen 628285
thanks

Fabrizio,

  Where do you see a base64.js ?

Steps:

  svn checkout http://evoluspencil.googlecode.com/svn/trunk/
evoluspencil-read-only
  cd evoluspencil-read-only
  find . -name base64.js
  find . | grep base64
-> empty

Thanks,



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#628285; Package wnpp. (Tue, 12 Feb 2013 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 12 Feb 2013 09:27:03 GMT) Full text and rfc822 format available.

Message #57 received at 628285@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: Mathieu Malaterre <malat@debian.org>, 628285@bugs.debian.org
Cc: 628285-subscribe@bugs.debian.org
Subject: Re: Bug#628285: ITP: xul-ext-pencil -- GUI prototyping and diagram tool
Date: Tue, 12 Feb 2013 10:13:30 +0100
[Message part 1 (text/plain, inline)]
http://anonscm.debian.org/gitweb/?p=pkg-mozext/pencil.git;a=summary

Take a look of content/Common/Base64.js file

(this is an old ITP, maybe in the meantime the source have changed and
perhaps the file was removed)

Thank you.
Fabrizio
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#628285; Package wnpp. (Tue, 12 Feb 2013 09:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 12 Feb 2013 09:42:03 GMT) Full text and rfc822 format available.

Message #62 received at 628285@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: Mathieu Malaterre <malat@debian.org>
Cc: 628285 <628285@bugs.debian.org>
Subject: Re: ITP: xul-ext-pencil -- GUI prototyping and diagram tool
Date: Tue, 12 Feb 2013 10:36:44 +0100
[Message part 1 (text/plain, inline)]
I did a quick check, and seems to be present also in new sources:

svn checkout http://evoluspencil.googlecode.com/svn/trunk/ evoluspencil-read-only
cd evoluspencil-read-only
find . -iname base64*
./Source/Common/Base64.js

Thank you.
Fabrizio
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#628285; Package wnpp. (Tue, 12 Feb 2013 15:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Tue, 12 Feb 2013 15:27:06 GMT) Full text and rfc822 format available.

Message #67 received at 628285@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Fabrizio Regalli <fabreg@fabreg.it>
Cc: 628285 <628285@bugs.debian.org>, Control bugs server <control@bugs.debian.org>
Subject: Re: ITP: xul-ext-pencil -- GUI prototyping and diagram tool
Date: Tue, 12 Feb 2013 16:23:44 +0100
forwarded 628285 https://code.google.com/p/evoluspencil/issues/detail?id=541
thanks

On Tue, Feb 12, 2013 at 10:36 AM, Fabrizio Regalli <fabreg@fabreg.it> wrote:
> I did a quick check, and seems to be present also in new sources:
>
> svn checkout http://evoluspencil.googlecode.com/svn/trunk/ evoluspencil-read-only
> cd evoluspencil-read-only
> find . -iname base64*
> ./Source/Common/Base64.js

Thanks !

Let's see what upstream thinks about this. I do not think it is that
hard to replace this base64 js implementation with another.



Set Bug forwarded-to-address to 'https://code.google.com/p/evoluspencil/issues/detail?id=541'. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Tue, 12 Feb 2013 15:27:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:45:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.